--- ./bin/sc-config.in.orig	2011-11-19 16:36:02.949977820 +0100
+++ ./bin/sc-config.in	2011-11-19 16:36:16.025979969 +0100
@@ -44,9 +44,9 @@
 fi
 
 sclibs=""
-for i in $all_sclibs; do
+for i in `echo $all_sclibs | sed -r 's/\.la/.so/g'`; do
   if [ -f $libdir/$i ]; then
-    li=`echo $i | sed "s/^lib\([a-zA-Z0-9]*\).$LIBSUF/-l\1/g"`
+    li=`echo $i | sed "s/^lib\([a-zA-Z0-9]*\).so/-l\1/g"`
     sclibs="$sclibs $li"
   fi
 done
